﻿using System.Windows.Controls;
using FilteringTest.ViewModels;
using Syncfusion.Data;

namespace FilteringTest
{
    /// <summary>
    /// Logique d'interaction pour MainWindow.xaml
    /// </summary>
    public partial class MainWindow
    {
        public MainWindowViewModel ViewModel { get; set; }

        public MainWindow()
        {
            ViewModel = new MainWindowViewModel();

            InitializeComponent();
        }

        private void ComboBox_OnSelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if (NestedGrid != null)
            {
                var item = e.AddedItems[0] as ComboBoxItem;

                if (item != null)
                {
                    var value = int.Parse(item.Tag.ToString());

                    NestedGrid.Columns["Status"].FilterPredicates.Clear();

                    switch (value)
                    {
                        case 1: // Created
                            NestedGrid.Columns["Status"].FilterPredicates.Add(new FilterPredicate
                            {
                                FilterType = FilterType.Equals,
                                FilterValue = MyDocumentStatus.Created
                            });
                            break;
                        case 2: // Printed
                            NestedGrid.Columns["Status"].FilterPredicates.Add(new FilterPredicate
                            {
                                FilterType = FilterType.Equals,
                                FilterValue = MyDocumentStatus.Printed
                            });
                            break;
                        case 3: // Sent
                            NestedGrid.Columns["Status"].FilterPredicates.Add(new FilterPredicate
                            {
                                FilterType = FilterType.Equals,
                                FilterValue = MyDocumentStatus.Sent
                            });
                            break;
                        case 4: // Unknown
                            NestedGrid.Columns["Status"].FilterPredicates.Add(new FilterPredicate
                            {
                                FilterType = FilterType.Equals,
                                FilterValue = MyDocumentStatus.Unknown
                            });
                            break;
                    }
                }
            }
        }
    }
}
